Skip to main content
`Ctrl`+`K`

# PetscFEGetDimension

Get the dimension of the finite element space on a cell

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetDimension(PetscFE fem, PetscInt *dim)

Not Collective

## Input Parameter

- fem - The `PetscFE`

## Output Parameter

- dim - The dimension

## See Also

`PetscFE`, `PetscFECreate()`, `PetscSpaceGetDimension()`, `PetscDualSpaceGetDimension()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

## Implementations

PetscFEGetDimension_Basic() in src/dm/dt/fe/impls/basic/febasic.c
PetscFEGetDimension_Vector() in src/dm/dt/fe/impls/vector/fevector.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages